Bug 1524756 - plasma-discover-flatpak-backend should add flathub repo during installation
Summary: plasma-discover-flatpak-backend should add flathub repo during installation
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-discover
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-12 00:31 UTC by Nate Graham
Modified: 2021-06-06 15:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure fedora-workstation issue 108 0 None None None 2020-11-03 16:17:06 UTC
KDE Software Compilation 387718 0 NOR RESOLVED Add Flathub by default with Flatpak backend 2020-11-03 16:06:54 UTC

Description Nate Graham 2017-12-12 00:31:24 UTC
The plasma-discover-flatpak-backend package isn't very useful without any repos configured. Right now, Flathub is the only really useful one, so I think it makes sense to add it when the package is installed, to save the user (who is probably non-technical if they want to use the Flatpak backend) from having to figure out that they have to add a Flatpak repo, what one would be, how to do it, etc.

I recommended doing this automatically for all distros in https://bugs.kde.org/show_bug.cgi?id=387718, but Discover's author and maintainer advised that this is a distro packager's decision. So here I am, asking Fedora's plasma-discover packagers to automatically add the Flathub repo (https://flathub.org/repo/flathub.flatpakrepo) when plasma-discover-flatpak-backend is installed. :)

Comment 1 Fedora End Of Life 2018-02-20 15:25:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Rex Dieter 2018-06-01 17:24:13 UTC
One question is how best to implement that (it is a shame upstream poo poo'd doing it by default).

Comment 3 Nate Graham 2018-06-03 22:23:14 UTC
Probably the simplest approach would be to add a shell script command in the packaging that gets run as the very last step of installing the Flatpak backend package is installed:

flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

Comment 5 Neal Gompa 2020-11-03 16:17:07 UTC
This is currently blocked on creating a filtered flathub view that passes policy and legal qualification. That is driven by the Workstation WG currently.


Note You need to log in before you can comment on or make changes to this bug.